<h1 *ngIf="showTitle" i18n="Provider Schemas | Provider Schemas header @@providerSchemas">Provider Schemas</h1>

<nz-tabset>
  <nz-tab *ngFor="let provider of providers" [nzTitle]="provider.name">
    <div class="provider-details">
      <div
        *ngFor="
                      let schemaVersion of provider.versions;
                      let cnt = count;
                      let idx = index
                  ">
        <nz-card class="existing-consents">
          <nz-card-meta [nzTitle]="cardTitle" [nzDescription]="schemaVersion.createdAt | date : 'medium'"></nz-card-meta>
          <ng-template #cardTitle>
            <div class="schema-version-title" style="padding-bottom: 16px">
              <div>Version: {{ cnt - idx }}</div>
              <div>
                <nz-tag *ngIf="idx === 0" nzColor="default" i18n="Latest Tag @@latestTag">latest</nz-tag>
              </div>
            </div>
          </ng-template>


          <div
            *ngIf="schemaVersion.superseded_by"
            i18n="Superseded By | Provider schema information @@supersededBy">
            Superseded by: {{ cnt - idx + 1 }}
          </div>
          <p><nz-switch [(ngModel)]="definitionVisible[provider.id][schemaVersion.id]"></nz-switch>
          <span style="padding-left: 16px" i18n="Toggle Definition | Slide Toggle Description @@toggleDefinition">Toggle Definition</span></p>
          <div
            class="definiton-view"
            *ngIf="definitionVisible[provider.id][schemaVersion.id]">
            <pre style="background-color: white">{{ schemaVersion.definition | json }}</pre>
          </div>

          <p></p>

          <app-verb-groups
            [provider_id]="provider.id"
            [allVerbs]="schemaVersion.definition.verbs"
            [verbGroups]="getGroupsForProviderSchema(schemaVersion)"
          >
          </app-verb-groups>

          <app-schema-change
            *ngIf="idx < provider.versions.length - 1"
            [newSchema]="provider.versions[idx].definition"
            [oldSchema]="provider.versions[idx + 1].definition">
          </app-schema-change>

        </nz-card>
      </div>
    </div>
  </nz-tab>
</nz-tabset>

<nz-card [nzTitle]="createCardTitle">
  <ng-template #createCardTitle i18n="Create Provider Schema @@createProviderSchema">
    Create/Update Provider Schema
  </ng-template>
  <input
    type="file"
    class="file-input"
    accept="application/json"
    (change)="onFileSelected($event)"
    #fileUpload />

  <div class="file-upload">
    {{ fileName }}

    <button nz-button nzShape="circle" nzSize="small" nzType="primary" class="upload-btn" (click)="fileUpload.click()">
      <fa-icon [icon]="faPaperclip"></fa-icon>
    </button>
  </div>

  <div class="progress">
    <nz-progress
      class="progress-bar"
      [nzPercent]="uploadProgress"
      *ngIf="uploadProgress">
    </nz-progress>

    <fa-icon [icon]="faTrash" *ngIf="uploadProgress" (click)="cancelUpload()"></fa-icon>
  </div>
  <button nz-button nzType="primary" (click)="onSubmit()" i18n="Submit @@submit">
    Submit
  </button>
</nz-card>

